#!/bin/sh
# Run this to generate all the initial makefiles, etc.

set -e

if test -z "$*"; then
  echo "$0:	Note: \`./configure' will be run with no arguments."
  echo "		If you wish to pass any to it, please specify them on the"
  echo "		\`$0' command line."
  echo
fi

do_cmd() {
    echo "$0: running \`$@'"
    $@
}

do_cmd aclocal

do_cmd automake --add-missing

do_cmd autoconf

do_cmd ./configure ${1+"$@"} && echo "Now type \`make' to compile" || exit 1
